aboutsummaryrefslogtreecommitdiffstats
path: root/osmocom-oohmi
diff options
context:
space:
mode:
authorAlton MacDonald <alton.kenneth.macdonald@fokus.fraunhofer.de>2013-10-31 13:46:57 +0100
committerAlton MacDonald <alton.kenneth.macdonald@fokus.fraunhofer.de>2013-10-31 13:46:57 +0100
commit8dfe6f1993df8e9130190227f9562c49c6e3d6be (patch)
treebc365b52c9bddac2349c60454a456e9dd9a407c5 /osmocom-oohmi
parent3042487de49fc727e4ff7a0eee517c3f5642dacc (diff)
added unit tests and updated documentation
Diffstat (limited to 'osmocom-oohmi')
-rwxr-xr-xosmocom-oohmi23
1 files changed, 23 insertions, 0 deletions
diff --git a/osmocom-oohmi b/osmocom-oohmi
new file mode 100755
index 0000000..10bfff8
--- /dev/null
+++ b/osmocom-oohmi
@@ -0,0 +1,23 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: osmo-oohmi
+# Required-Start: $network $local_fs
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: OpenBSC and OsmoSGSN HLR Management Interface
+# Description: Web Management interface for OpenBSC, OsmoSGSN, GGSN, Asterisk and LCR services.
+### END INIT INFO
+cd /etc/openbsc/
+case "$1" in
+ start)
+ /usr/local/bin/pserve production.ini start ;;
+ stop)
+ /usr/local/bin/pserve production.ini stop ;;
+ restart)
+ /usr/local/bin/pserve production.ini restart ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1 ;;
+esac
+exit 0